%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libfwnt
Version:	20210906
Release:	1%{?dist}
Summary:	Library to support common Windows NT specific formats
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libfwnt/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pkgconfig
BuildRequires:	gettext-devel
BuildRequires:	libtool
    
%description
libfwnt is a library to support common Windows NT specific formats

%package devel
Summary: Header files and libraries for developing applications for libfwnt
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfwnt.

%if 0%{?with_python2}
%package python2
Summary: Python 2 bindings for libfwnt
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libfwnt
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libfwnt
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libfwnt
%endif

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python2} && 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%endif
%if 0%{?with_python2} && ! 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
%if ! 0%{?with_python2} && 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python3
%endif
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Mon Sep  6 2021 Lawrence R. Rogers <lrr@cert.org> 20210906-1
* Release 20210906-1
	Version from 20210906

* Sat Jul 17 2021 Lawrence R. Rogers <lrr@cert.org> 20210717-1
* Release 20210717-1
	Version from 20210717

* Wed Apr 21 2021 Lawrence R. Rogers <lrr@cert.org> 20210421-1
* Release 20210421-1
	Version from 20210421

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20200723-2
* Release 20200723-2
	Release 2 - Removed Python 2 package

* Thu Jul 23 2020 Lawrence R. Rogers <lrr@cert.org> 20200723-1
* Release 20200723-1
	Version 20200723

* Fri Jun  5 2020 Lawrence R. Rogers <lrr@cert.org> 20200605-1
* Release 20200605-1
	Version 20200605

* Sun Dec 22 2019 Lawrence R. Rogers <lrr@cert.org> 20191222-1
* Release 20191222-1
	Version 20191222

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Thu Dec 19 2019 Lawrence R. Rogers <lrr@cert.org> 20191219-1
* Release 20191219-1
	Version 20191219

* Wed Dec 18 2019 Lawrence R. Rogers <lrr@cert.org> 20191218-1
* Release 20191218-1
	Version 20191218

* Tue Dec 17 2019 Lawrence R. Rogers <lrr@cert.org> 20191217-1
* Release 20191217-1
	Version 20191217

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
	Version 20191104

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-4
* Release 20181227-4
	Version 20181227-4: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers<lrr@cert.org> 20181227-1
* Release 20181227-1
	Version from 20181227

* Sat Dec 15 2018 Lawrence R. Rogers<lrr@cert.org> 20181215-1
* Release 20181215-1
	Version from 20181215

* Wed Jan 17 2018 Lawrence R. Rogers<lrr@cert.org> 20180117-1
* Release 20180117-1
	Version from 20180117

* Sun Jan 15 2017 Lawrence R. Rogers<lrr@cert.org> 20170115-1
* Release 20170115-1
	Version from 20170115

* Thu Nov  3 2016 Lawrence R. Rogers<lrr@cert.org> 20161103-1
* Release 20161103-1
	20161103
	* code clean up
	* worked on tests
	* worked on lzxpress huffman

	20161102
	* worked on tests

	20161031
	* worked on tests

* Mon Apr 18 2016 Joachim Metz <joachim.metz@gmail.com> 20160418-1
- Auto-generated

